\documentclass{article}

\usepackage{graphicx}
\usepackage[a4paper, landscape, margin=1in]{geometry}

\begin{document}

\LARGE \textbf{Crosstalk when connecting together the return paths of two isolated outputs \\}

\normalsize
The CONV-TTL-BLO board is a six-channel pulse repeater/converter, designed to convert TTL-level
to 24~V pulses, 1.2~$\mu$s in width. The design is similar to an SMPS flyback power supply,
only unlike in the case of flyback converters, the polarity of the transformer secondary is
reversed in order to supply power to the secondary when the transistor is turned on. The transformer
secondary is isolated from the board-wide return (GND) network.

The 24~V pulses get transferred from one board to another over coaxial cable.

The crosstalk problem described here has been discovered by an internal CERN client.
One channel (the offending one) is used to output pulses. A second (unused) channel is
the victim of crosstalk when the shields of the coax cable are connected together.

The figure below shows the test setup in our lab to check the problem and the figures
on subsequent pages show how crosstalk is generated.

\begin{figure}[h]
  \centerline{\includegraphics[width=.55\textwidth]{test-setup}}
  \label{fig:test-setup}
  \caption{Test setup}
\end{figure}

\pagebreak
The figure below shows the measurement diagram when using an isolated oscilloscope.

\begin{figure}[h]
  \centerline{\includegraphics[width=\textwidth]{isolated}}
  \label{fig:isolated}
  \caption{Measurement diagram with isolated oscilloscope}
\end{figure}

\pagebreak
The figure below shows the measurement diagram when using a non-isolated oscilloscope, which
connects the two shields of the coax cables together, creating the crosstalk on the victim
channel.

\begin{figure}[h]
  \centerline{\includegraphics[width=\textwidth]{non-isolated}}
  \label{fig:non-isolated}
  \caption{Measurement diagram with non-isolated oscilloscope}
\end{figure}

\pagebreak
The crosstalk manifests itself even when two boards in two different rooms are used.

\begin{figure}[h]
  \centerline{\includegraphics[width=\textwidth]{non-isolated-diff-room}}
  \label{fig:non-isolated-diff-room}
  \caption{Measurement diagram with non-isolated oscilloscope and a second board in a different room}
\end{figure}

\pagebreak
One solution found in parallel by both us and our client was to connect the shields of the cables
to the same return path. However, this would render the transformer useless.

Another solution is placing a 100~nF capacitor between the shield and the board GND. As seen below,
placing it on the victim channel superimposses the crosstalk on the original signal.

\begin{figure}[h]
  \centerline{\includegraphics[width=\textwidth]{cap-on-victim-chan}}
  \label{fig:cap-on-victim-chan}
  \caption{Placing a 100~nF capacitor on the victim channel superimposes the crosstalk on the original signal}
\end{figure}

\pagebreak
Placing the capacitor on the offending channel removes the crosstalk.

\begin{figure}[h]
  \centerline{\includegraphics[width=\textwidth]{cap-on-offending-chan}}
  \label{fig:cap-on-offending-chan}
  \caption{Placing a 100~nF capacitor on the offending channel removes crosstalk}
\end{figure}

\end{document}
